head	1.47;
access;
symbols
	OPENPKG_E1_MP_HEAD:1.47
	OPENPKG_E1_MP:1.47
	OPENPKG_CW_FP:1.40
	OPENPKG_1_STABLE_MP:1.22;
locks; strict;
comment	@-- @;


1.47
date	2006.08.25.11.07.11;	author rse;	state dead;
branches;
next	1.46;
commitid	1JfsR5wIqQkSrdKr;

1.46
date	2006.01.01.13.14.52;	author rse;	state Exp;
branches;
next	1.45;
commitid	otZG8yKMCw1JFTfr;

1.45
date	2005.11.01.08.04.06;	author rse;	state Exp;
branches;
next	1.44;
commitid	kfzyOuJpjU0ZY18r;

1.44
date	2005.08.11.06.46.50;	author cs;	state Exp;
branches;
next	1.43;

1.43
date	2005.04.08.18.42.57;	author rse;	state Exp;
branches;
next	1.42;

1.42
date	2005.04.06.18.16.39;	author rse;	state Exp;
branches;
next	1.41;

1.41
date	2005.03.24.11.19.08;	author rse;	state Exp;
branches;
next	1.40;

1.40
date	2005.03.18.19.32.22;	author rse;	state Exp;
branches;
next	1.39;

1.39
date	2005.03.08.18.03.06;	author rse;	state Exp;
branches;
next	1.38;

1.38
date	2005.02.25.10.57.43;	author rse;	state Exp;
branches;
next	1.37;

1.37
date	2005.02.03.07.18.01;	author cs;	state Exp;
branches;
next	1.36;

1.36
date	2005.01.01.10.50.43;	author rse;	state Exp;
branches;
next	1.35;

1.35
date	2004.12.24.09.34.10;	author rse;	state Exp;
branches;
next	1.34;

1.34
date	2004.09.22.18.28.21;	author rse;	state Exp;
branches;
next	1.33;

1.33
date	2004.07.09.09.47.25;	author ms;	state Exp;
branches;
next	1.32;

1.32
date	2004.07.07.15.56.16;	author ms;	state Exp;
branches;
next	1.31;

1.31
date	2004.03.14.11.11.10;	author rse;	state Exp;
branches;
next	1.30;

1.30
date	2004.02.03.20.02.45;	author rse;	state Exp;
branches;
next	1.29;

1.29
date	2004.01.23.13.09.59;	author rse;	state Exp;
branches;
next	1.28;

1.28
date	2003.12.10.12.47.01;	author ms;	state Exp;
branches;
next	1.27;

1.27
date	2003.11.18.12.36.53;	author ms;	state Exp;
branches;
next	1.26;

1.26
date	2003.11.17.21.56.55;	author rse;	state Exp;
branches;
next	1.25;

1.25
date	2003.09.26.17.53.14;	author ms;	state Exp;
branches;
next	1.24;

1.24
date	2003.09.25.18.26.26;	author ms;	state Exp;
branches;
next	1.23;

1.23
date	2003.09.18.15.45.05;	author rse;	state Exp;
branches;
next	1.22;

1.22
date	2003.07.23.14.50.54;	author rse;	state Exp;
branches;
next	1.21;

1.21
date	2003.07.23.13.31.59;	author rse;	state Exp;
branches;
next	1.20;

1.20
date	2003.07.21.14.46.05;	author rse;	state Exp;
branches;
next	1.19;

1.19
date	2003.07.19.17.06.01;	author rse;	state Exp;
branches;
next	1.18;

1.18
date	2003.07.17.15.32.47;	author thl;	state Exp;
branches;
next	1.17;

1.17
date	2003.07.14.12.22.29;	author rse;	state Exp;
branches;
next	1.16;

1.16
date	2003.07.11.09.45.06;	author rse;	state Exp;
branches;
next	1.15;

1.15
date	2003.07.10.07.50.34;	author rse;	state Exp;
branches;
next	1.14;

1.14
date	2003.07.09.19.23.00;	author thl;	state Exp;
branches;
next	1.13;

1.13
date	2003.07.08.14.40.15;	author rse;	state Exp;
branches;
next	1.12;

1.12
date	2003.06.29.19.12.38;	author rse;	state Exp;
branches;
next	1.11;

1.11
date	2003.04.04.13.29.29;	author ms;	state Exp;
branches;
next	1.10;

1.10
date	2003.02.18.09.31.08;	author cs;	state Exp;
branches;
next	1.9;

1.9
date	2003.01.17.15.43.22;	author ms;	state Exp;
branches;
next	1.8;

1.8
date	2003.01.17.13.08.56;	author ms;	state Exp;
branches;
next	1.7;

1.7
date	2003.01.08.15.47.06;	author rse;	state Exp;
branches;
next	1.6;

1.6
date	2003.01.08.15.00.21;	author rse;	state Exp;
branches;
next	1.5;

1.5
date	2003.01.03.10.52.44;	author rse;	state Exp;
branches;
next	1.4;

1.4
date	2002.12.30.22.04.36;	author rse;	state Exp;
branches;
next	1.3;

1.3
date	2002.12.30.21.04.53;	author rse;	state Exp;
branches;
next	1.2;

1.2
date	2002.12.20.19.31.43;	author rse;	state Exp;
branches;
next	1.1;

1.1
date	2002.11.10.12.21.10;	author rse;	state Exp;
branches;
next	;


desc
@@


1.47
log
@remove old J2SE 1.4
@
text
@##
##  j2se14.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2006 OpenPKG Foundation e.V. <http://openpkg.net/>
##  Copyright (c) 2000-2006 Ralf S. Engelschall <http://engelschall.com/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_sunjava 1_4_2_10
%define       V_filesys 1.4.2_10
%define       V_openpkg 1.4.2.10
%define       V_sunsupp 1_4_2

#   package information
Name:         j2se14
Summary:      Java 2 Platform, Standard Edition (J2SE) 1.4
URL:          http://java.sun.com/j2se/
Vendor:       Sun Microsystems, Inc.
Packager:     OpenPKG
Distribution: OpenPKG
Class:        EVAL
Group:        Language
License:      Commercial
Version:      %{V_openpkg}
Release:      20051101

#   package options
%option       with_demo     no
%option       with_docs     no
%option       with_jce      no

#   list of sources
Source0:      http://java.sun.com/j2se/::/j2sdk-%{V_sunjava}-linux-i586.bin
Source1:      http://java.sun.com/j2se/::/j2sdk-%{V_sunjava}-solaris-sparc.sh
Source2:      http://java.sun.com/j2se/::/j2sdk-%{V_sunjava}-solaris-sparcv9.sh
Source3:      http://java.sun.com/j2se/::/j2sdk-%{V_sunjava}-solaris-i586.sh
Source4:      http://java.sun.com/j2se/::/j2sdk-%{V_sunsupp}-doc.zip
Source5:      http://java.sun.com/j2se/::/jce_policy-%{V_sunsupp}.zip
Source6:      rc.j2se14
%NoSource     0
%NoSource     1
%NoSource     2
%NoSource     3
%NoSource     4
%NoSource     5

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no
Provides:     JDK, JRE
Conflicts:    j2se

%description
    This is the Sun Java 2 Platform, Standard Edition (J2SE) 1.4.2.
    It contains the Java Development Kit (JDK) and the Java Runtime
    Environment (JRE). The premier solution for rapidly developing
    and deploying mission-critical, enterprise applications, J2SE
    provides the essential compiler, tools, runtimes, and APIs for
    writing, deploying, and running applets and applications in the Java
    programming language.

%track
    prog j2se14 = {
        version   = %{V_filesys}
        url       = http://java.sun.com/j2se/
        regex     = /j2se/(1\.4(\.\d+)+)/index.jsp
        url       = http://java.sun.com/j2se/__NEWVER__/download.html
        regex     = "J2SE v (__VER__)&nbsp;"
    }

%prep
    %setup -q -c j2se14 -T

%build

%install
    rm -rf $RPM_BUILD_ROOT

    #   select vendor source
    pkgfile=""
    pkgfile2=""
    docsfile="%{SOURCE j2sdk-%{V_sunsupp}-doc.zip}"
    cryptfile="%{SOURCE jce_policy-%{V_sunsupp}.zip}"
    pkgdir="%{V_filesys}"
    case "%{l_platform -t}" in
        i?86-linux2.[2-6]* | i?86-freebsd[45]* )
            pkgfile="%{SOURCE j2sdk-%{V_sunjava}-linux-i586.bin}"
            pkgdir="j2sdk%{V_filesys}"
            ;;
        sun4u-sunos5.[6-9]* | sun4u-sunos5.10 )
            pkgfile="%{SOURCE j2sdk-%{V_sunjava}-solaris-sparc.sh}"
            suppfile="%{SOURCE j2sdk-%{V_sunjava}-solaris-sparcv9.sh}"
            pkgdir="j2sdk%{V_filesys}"
            ;;
        i?86-sunos5.[6-9]* | i?86-sunos5.10 )
            pkgfile="%{SOURCE j2sdk-%{V_sunjava}-solaris-i586.sh}"
            pkgdir="j2sdk%{V_filesys}"
            ;;
    esac
    if [ ".$pkgfile" = . ]; then
        echo "Sorry, unsupported architecture '%{l_platform -t}'" 1>&2
        exit 1
    fi

    #   create installation tree
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/cgi \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1

    #   unpack vendor distribution
    (   umask 022
        cd $RPM_BUILD_ROOT%{l_prefix}/libexec
        HOME=$RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14
        case "%{l_platform -t}" in
            i?86-linux2.[2-6]* | i?86-freebsd[45]* )
                echo "yes" | sh $pkgfile  >COPYING.32
                ;;
            sun4u-sunos5.[6-9]* | sun4u-sunos5.10 )
                echo "yes" | sh $pkgfile  >COPYING.32 && \
                echo "yes" | sh $pkgfile2 >COPYING.64
                ;;
            i?86-sunos5.[6-9]* | i?86-sunos5.10 )
                echo "yes" | sh $pkgfile  >COPYING.32
                ;;
            * ) false
                ;;
        esac
        if [ $? != 0 ]; then
            echo "ERROR: unpacking failed" 1>&2
            exit 1
        fi
        mv $pkgdir j2se14
        mv COPYING.* j2se14/
    ) || exit $?

    #   fix vendor distribution
    (   cd $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/bin
        find . -type f -print | xargs chmod u+w
        cd $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/jre/bin
        find . -type f -print | xargs chmod u+w
        case "%{l_platform -t}" in
            sun4u-sunos5.[6-9]* | sun4u-sunos5.10 )
                cd $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/bin/sparcv9
                find . -type f -print | xargs chmod u+w
                cd $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/jre/bin/sparcv9
                find . -type f -print | xargs chmod u+w
                ;;
        esac
    ) || exit $?

    #   optionally brand ELF binaries (FreeBSD only)
    case "%{l_platform -t}" in
        i?86-freebsd[45]* )
            brandelf -t Linux \
                `find $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/bin/ -type f -print` \
                >/dev/null 2>&1 || true
            brandelf -t Linux \
                `find $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/jre/bin/ -type f -print` \
                >/dev/null 2>&1 || true
            ;;
    esac

    #   move man pages to a canonical location
    if [ -d $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man/man1 ]; then
        mv $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man/man1/* \
           $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    elif [ -d $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man/sman1 ]; then
        mv $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man/sman1/* \
           $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    fi
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man 2>/dev/null || true

    #   remove man pages conflicting with Kerberos
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/kinit.1
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/klist.1
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/ktab.1

    #   remove demos if unwanted
%if "%{with_demo}" == "no"
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/demo 2>/dev/null || true
%endif

    #   unpack docs if wanted
%if "%{with_docs}" == "yes"
    unzip -q $docsfile
    mv docs $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/
%endif

    #   install Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy
    #   under confirmation of the US Export Administration Regulations (EAR)
%if "%{with_jce}" == "yes"
    unzip -q $cryptfile
    cp jce/COPYRIGHT.html $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/JCE_COPYRIGHT.html
    cp jce/README.txt $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/JCE_README.txt
    cp -f jce/US_export_policy.jar $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/jre/lib/security/
    cp -f jce/local_policy.jar $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/jre/lib/security/
%endif

    #   link developer binaries
    ( cd $RPM_BUILD_ROOT%{l_prefix}/bin
      for bin in HtmlConverter appletviewer extcheck idlj jar jarsigner \
          java javac javadoc javah javap jdb keytool native2ascii orbd \
          policytool rmic rmid rmiregistry serialver servertool tnameserv; do
          ln -s ../libexec/j2se14/bin/$bin .
      done
    ) || exit $?
    ( cd $RPM_BUILD_ROOT%{l_prefix}/cgi
      ln -s ../libexec/j2se14/bin/java-rmi.cgi java-rmi.cgi
    ) || exit $?

    #   install run-command script
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.j2se14} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

@


1.46
log
@adjust copyrights for new year 2006
@
text
@@


1.45
log
@upgrading package: j2se14 1.4.2.09 -> 1.4.2.10
@
text
@d3 2
a4 2
##  Copyright (c) 2000-2005 OpenPKG Foundation e.V. <http://openpkg.net/>
##  Copyright (c) 2000-2005 Ralf S. Engelschall <http://engelschall.com/>
@


1.44
log
@upgrading package: j2se14 1.4.2.08 -> 1.4.2.09
@
text
@d26 3
a28 3
%define       V_sunjava 1_4_2_09
%define       V_filesys 1.4.2_09
%define       V_openpkg 1.4.2.09
d42 1
a42 1
Release:      20050811
@


1.43
log
@synchronize with j2se15 package
@
text
@d26 3
a28 3
%define       V_sunjava 1_4_2_08
%define       V_filesys 1.4.2_08
%define       V_openpkg 1.4.2.08
d42 1
a42 1
Release:      20050408
@


1.42
log
@upgrading package: j2se14 1.4.2.07 -> 1.4.2.08
@
text
@d42 1
a42 1
Release:      20050406
d75 6
a80 4
    The premier solution for rapidly developing and deploying
    mission-critical, enterprise applications, J2SE provides the
    essential compiler, tools, runtimes, and APIs for writing,
    deploying, and running applets and applications in the Java
d102 1
a102 1
    suppfile=""
d105 1
a105 1
    pkgdir=%{V_filesys}
d132 1
a132 2
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/j2se14
d137 1
d140 1
a140 2
                echo "yes" | sh $pkgfile \
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/COPYING.32
d143 2
a144 4
                echo "yes" | sh $pkgfile \
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/COPYING.32 && \
                echo "yes" | sh $suppfile \
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/COPYING.64
d147 1
a147 2
                echo "yes" | sh $pkgfile \
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/COPYING.32
d149 1
a149 1
            *) false
d157 1
d209 1
a209 1
    unzip $docsfile
d216 1
a216 1
    unzip $cryptfile
@


1.41
log
@Adjust the copyright declaration in this (RSE's) copy of the OpenPKG
source code now that the fork point for C&W was established (CVS tag
OPENPKG_CW_FP), the shared copyright agreement between RSE and C&W is
no longer active (as C&W no longer officially sponsors OpenPKG) and the
new shared copyright from RSE can be taken over by the newly established
juristic entity OpenPKG Foundation e.V. (instead of the non-juristic
entity OpenPKG Project).
@
text
@d26 3
a28 3
%define       V_sunjava 1_4_2_07
%define       V_filesys 1.4.2_07
%define       V_openpkg 1.4.2.07
d42 1
a42 1
Release:      20050318
@


1.40
log
@apply some additional fixes and cleanups from Matthias Kurz
@
text
@d2 3
a4 4
##  j2se14.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2005 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2005 Ralf S. Engelschall <rse@@engelschall.com>
##  Copyright (c) 2000-2005 Cable & Wireless <http://www.cw.com/>
d36 1
a36 1
Packager:     The OpenPKG Project
@


1.39
log
@one more case where we have to check for Solaris 10
@
text
@d43 1
a43 1
Release:      20050308
d142 1
a142 1
            sun4u-sunos5.[6-9]* )
d144 1
a144 1
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/COPYING.32
d148 1
a148 1
            i?86-sunos5.[6-9]* | sun4u-sunos5.10 )
d152 2
d155 4
d168 1
a168 1
            sun4u-sunos5.[6-9]* )
@


1.38
log
@Recognize Solaris 10 as supported platform, too
@
text
@d43 1
a43 1
Release:      20050225
d148 1
a148 1
            i?86-sunos5.[6-9]* )
@


1.37
log
@upgrading package: j2se14 1.4.2.06 -> 1.4.2.07
@
text
@d43 1
a43 1
Release:      20050203
d110 1
a110 1
        sun4u-sunos5.[6-9]* )
d115 1
a115 1
        i?86-sunos5.[6-9]* )
@


1.36
log
@Happy New Year 2005
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2_06
%define       V_filesys 1.4.2_06
%define       V_openpkg 1.4.2.06
d43 1
a43 1
Release:      20041224
d84 1
a84 3
        disabled
        comment   = "rse: no tracking possible"
        version   = %{V_sunjava}
d86 3
a88 1
        regex     = j2se-(__VER__)\.tar\.gz
@


1.35
log
@upgrading package: j2se14 1.4.2.05 -> 1.4.2.06
@
text
@d3 3
a5 3
##  Copyright (c) 2000-2004 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2004 Ralf S. Engelschall <rse@@engelschall.com>
##  Copyright (c) 2000-2004 Cable & Wireless <http://www.cw.com/>
@


1.34
log
@apply a few enhancements contributed by David M. Fetter <dfetter@@pdx.edu>
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2_05
%define       V_filesys 1.4.2_05
%define       V_openpkg 1.4.2.05
d43 1
a43 1
Release:      20040922
@


1.33
log
@correctly update tracking to current version without rerolling
@
text
@d30 1
d43 6
a48 1
Release:      20040707
d55 3
a57 1
Source4:      rc.j2se14
d62 2
d86 2
a87 2
        version   = 1.4.2.05
        url       = http://www.sun.com/java/
d102 2
d183 1
a183 1
    #   copy man pages to a final location
d185 2
a186 2
        cp $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man/man1/* \
           $RPM_BUILD_ROOT%{l_prefix}/man/man1
d188 2
a189 2
        cp $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man/sman1/* \
           $RPM_BUILD_ROOT%{l_prefix}/man/man1
d191 1
d193 1
a193 1
    #   remove unwanted files
d197 3
a199 1
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/man 2>/dev/null || true
d201 17
d235 1
@


1.32
log
@upgrading package: j2se14 1.4.2.04 -> 1.4.2.05
@
text
@d76 1
a76 1
        version   = 1.4.2.02
@


1.31
log
@upgrading package: j2se14 1.4.2.03 -> 1.4.2.04
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2_04
%define       V_filesys 1.4.2_04
%define       V_openpkg 1.4.2.04
d42 1
a42 1
Release:      20040314
@


1.30
log
@Mass-Commit:
- split "Distribution" header into "Distribution" (old) and "Class"
  (new) headers by moving the attached class information.
- embed the vendor version tracking configuration through the
  new "%track" section.
- bump up the OpenPKG bootstrap dependency, because the "Class" header
  and "%track" section are only supported by our latest bootstrap version.
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2_03
%define       V_filesys 1.4.2_03
%define       V_openpkg 1.4.2.03
d42 1
a42 1
Release:      20040203
@


1.29
log
@bump year in copyright messages to cover new year 2004. This is a CVS only commit -- no packages were rolled intentionally
@
text
@d37 2
a38 1
Distribution: OpenPKG [EVAL]
d42 1
a42 1
Release:      20031210
d58 2
a59 2
BuildPreReq:  OpenPKG, openpkg >= 20031117
PreReq:       OpenPKG, openpkg >= 20031117
d71 9
@


1.28
log
@upgrading package: j2se14 1.4.2.02 -> 1.4.2.03
@
text
@d3 3
a5 3
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@@engelschall.com>
##  Copyright (c) 2000-2003 Cable & Wireless <http://www.cw.com/>
@


1.27
log
@upgrading package: j2se14 1.4.2.01 -> 1.4.2.02
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2_02
%define       V_filesys 1.4.2_02
%define       V_openpkg 1.4.2.02
d41 1
a41 1
Release:      20031118
@


1.26
log
@remove obsolete %integrity macro
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2_01
%define       V_filesys 1.4.2_01
%define       V_openpkg 1.4.2.01
d41 1
a41 1
Release:      20031117
@


1.25
log
@Correct and align flaky platform definitions, update sources from 1_4_2 to 1_4_2_01, add Solaris x86 target, add HtmlConverter binary (for using the Java Plugin in HTML pages), and fix broken manpage installation logic
@
text
@d41 1
a41 1
Release:      20030926
d57 2
a58 2
BuildPreReq:  OpenPKG, openpkg >= 20030909
PreReq:       OpenPKG, openpkg >= 20030909
a71 1
    %integrity
@


1.24
log
@modifying package: j2se14-1.4.2 20030918 -> 20030925
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_2
%define       V_filesys 1.4.2
%define       V_openpkg 1.4.2
d41 1
a41 1
Release:      20030925
d47 2
a48 1
Source3:      rc.j2se14
d52 1
d85 1
a85 1
        *-linux2.[2-5]* | *-freebsd[45]* )
d89 1
a89 1
        *-sunos5.[6-9]* )
d94 4
d111 1
a111 1
        $RPM_BUILD_ROOT%{l_prefix}/share/j2se14/doc
d117 1
a117 1
            *-linux2.[2-5]* | *-freebsd4* )
d119 1
a119 1
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/doc/COPYING.32
d121 1
a121 1
            sparc64-sunos5.[6-9]* )
d123 1
a123 1
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/doc/COPYING.32
d125 5
a129 1
                    >$RPM_BUILD_ROOT%{l_prefix}/share/j2se14/doc/COPYING.64
d141 1
a141 1
            sparc64-sunos5.[6-9]* )
d152 1
a152 1
        *-freebsd4* )
d162 1
a162 6
    #   clean out installation area
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/libexec/j2se14/demo 2>/dev/null || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/kinit.1
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/klist.1

    #   reduce man pages to essential ones and move them to final location
d170 5
d176 1
d180 3
a182 4
      for bin in appletviewer extcheck idlj jar jarsigner java \
          javac javadoc javah javap jdb keytool native2ascii \
          orbd policytool rmic rmid rmiregistry serialver servertool \
          tnameserv; do
@


1.23
log
@convert to new %{l_platform} world order
@
text
@d41 1
a41 1
Release:      20030918
d83 1
a83 1
        ix86-linux2.[2-5]* | ix86-freebsd[45]* )
d87 1
a87 1
        sparc64-sunos5.[6-9]* )
d111 1
a111 1
            ix86-linux2.[2-5]* | ix86-freebsd4* )
d142 1
a142 1
        ix86-freebsd4* )
@


1.22
log
@rpmlint police: fix dangling symlink
@
text
@d41 1
a41 1
Release:      20030723
d55 2
a56 2
BuildPreReq:  OpenPKG, openpkg >= 20030718
PreReq:       OpenPKG, openpkg >= 20030718
d82 1
a82 1
    case "%{l_target}" in
d87 1
a87 1
        sparc64-solaris2.[6-9]*)
d94 1
a94 1
        echo "Sorry, unsupported architecture '%{l_target}'" 1>&2
d110 1
a110 1
        case "%{l_target}" in
d115 1
a115 1
            sparc64-solaris2.[6-9]*)
d130 2
a131 2
        case "%{l_target}" in
            sparc64-solaris2.[6-9]*)
d141 1
a141 1
    case "%{l_target}" in
@


1.21
log
@achieve robust subshell handling by consistently using '(...) || exit 0' constructs to make sure the scripts fail if a subshell fails
@
text
@d177 1
a177 1
      ln -s ../libexec/j2se14/java-rmi.cgi java-rmi.cgi
@


1.20
log
@speclint police: achieve semantical consistency for patch references
@
text
@d41 1
a41 1
Release:      20030721
d123 1
a123 1
    )
d138 1
a138 1
    )
d174 2
a175 1
      done )
d177 2
a178 1
      ln -s ../libexec/j2se14/java-rmi.cgi java-rmi.cgi )
@


1.19
log
@replace opXXXX with rcXXXX (PR#207)
@
text
@d41 1
a41 1
Release:      20030719
d84 1
a84 1
            pkgfile="j2sdk-%{V_sunjava}-linux-i586.bin"
d88 2
a89 2
            pkgfile="j2sdk-%{V_sunjava}-solaris-sparc.sh"
            suppfile="j2sdk-%{V_sunjava}-solaris-sparcv9.sh"
d112 1
a112 1
                echo "yes" | sh $RPM_SOURCE_DIR/$pkgfile \
d116 1
a116 1
                echo "yes" | sh $RPM_SOURCE_DIR/$pkgfile \
d118 1
a118 1
                echo "yes" | sh $RPM_SOURCE_DIR/$suppfile \
@


1.18
log
@fix PR#204, use new %{l_value -s ...}
@
text
@d41 1
a41 1
Release:      20030717
d55 2
a56 2
BuildPreReq:  OpenPKG, openpkg >= 20030717
PreReq:       OpenPKG, openpkg >= 20030717
@


1.17
log
@remove conflicts with kerberos
@
text
@d41 1
a41 1
Release:      20030714
d55 2
a56 2
BuildPreReq:  OpenPKG, openpkg >= 20030710
PreReq:       OpenPKG, openpkg >= 20030710
d179 1
a179 1
    %{l_shtool} install -c -m 755 -e 's;@@l_prefix@@;%{l_prefix};g' \
@


1.16
log
@place .cgi file into cgi and not bin
@
text
@d41 1
a41 1
Release:      20030711
d154 2
@


1.15
log
@use new openpkg_rc_def variable in run-command scripts for allowing the admin to change the global default for xxx_enable
@
text
@d41 1
a41 1
Release:      20030710
d101 1
d168 1
a168 1
          java-rmi.cgi javac javadoc javah javap jdb keytool native2ascii \
d172 3
a174 2
      done
    )
@


1.14
log
@remove jre|jdk|java special case
@
text
@d41 1
a41 1
Release:      20030709
d55 2
a56 2
BuildPreReq:  OpenPKG, openpkg >= 20030108
PreReq:       OpenPKG, openpkg >= 20030108
@


1.13
log
@cleanup copyright part by using just the main company name of Cable & Wireless and adding the URL to the global website
@
text
@d41 1
a41 1
Release:      20030629
@


1.12
log
@upgrading package: j2se14 1.4.1.01 -> 1.4.2
@
text
@a2 1
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
d5 1
@


1.11
log
@Explicitly state conflicting package j2se
@
text
@d27 3
a29 3
%define       V_sunjava 1_4_1_01
%define       V_filesys 1.4.1_01
%define       V_openpkg 1.4.1.01
d41 1
a41 1
Release:      20030404
@


1.10
log
@also provide a generic j2se_home for tomcat4 for example
@
text
@d41 1
a41 1
Release:      20030218
d60 1
@


1.9
log
@Simplify OS match condition.
@
text
@d41 1
a41 1
Release:      20030117
@


1.8
log
@Update for building on FreeBSD 5
@
text
@d82 1
a82 1
        ix86-linux2.[2-5]* | ix86-freebsd4* | ix86-freebsd5* )
@


1.7
log
@use better URLs
@
text
@d41 1
a41 1
Release:      20030108
d82 1
a82 1
        ix86-linux2.[2-5]* | ix86-freebsd4* )
@


1.6
log
@switch to no-source level
@
text
@d44 3
a46 3
Source0:      j2sdk-%{V_sunjava}-linux-i586.bin
Source1:      j2sdk-%{V_sunjava}-solaris-sparc.sh
Source2:      j2sdk-%{V_sunjava}-solaris-sparcv9.sh
@


1.5
log
@remove '%options' hack, it will be replaced soon with a more elegant solution based on RPM 'Provides' headers
@
text
@d37 1
a37 1
Distribution: OpenPKG [PRIV]
d41 1
a41 1
Release:      20021110
d48 3
d55 2
a56 2
BuildPreReq:  OpenPKG, openpkg >= 20020714
PreReq:       OpenPKG, openpkg >= 20020714
d69 1
@


1.4
log
@bump of Copyright messages for forthcoming years 2003
@
text
@a64 2
    %options

@


1.3
log
@switch to %option(s), but intentionally WITHOUT dep increase and WITHOUT FTP server updates
@
text
@d3 3
a5 2
##  Copyright (c) 2000-2002 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2002 Ralf S. Engelschall <rse@@engelschall.com>
@


1.2
log
@consistently use 'Options: none' to indicate no options to 'openpkg build'
@
text
@d64 1
a64 1
    Options: none
@


1.1
log
@renamed from j2se
@
text
@d64 2
@

